#footer {
    padding: var(--offset-md-l) 0;
}

#footer .logo_container {
    margin-bottom: var(--offset-md-l);
    display: inline-block;
    margin-left: 0px;
}

.logo_link {
    display: flex;
}

#footer .image {
    width: 130px;
}

#footer .contacts {
    margin-bottom: var(--offset-md-2xs);
}

#footer .contacts_title {
    margin-bottom: var(--offset-md-2xs);
    font: var(--caption-text-semibold);
    letter-spacing: 3px;
    display: inline-block;
}

#footer .contacts_email {
    margin-bottom: var(--offset-md-2xs);
    font: var(--caption-text);
    flex-flow: column;
    display: flex;
}

#footer .contacts_email a {
    text-decoration: underline;
}

#footer .contacts_social {
    margin-bottom: var(--offset-md-2xs);
}

.socials {
    flex-flow: wrap;
    align-items: center;
    width: -webkit-max-content;
    width: -moz-max-content;
    width: max-content;
    display: flex;
}

.socials_link {
    width: var(--height-md-l);
    height: var(--height-md-l);
    margin-right: var(--offset-sm-xxl);
    border-radius: var(--border-radius-round);
    justify-content: center;
    align-items: center;
    display: flex;
    overflow: hidden;
}

#footer .footer_address {
    margin-bottom: var(--offset-md-l);
    font: var(--caption-text);
}

#footer .footer_navigations {
    margin-bottom: var(--offset-md-l);
    grid-template-columns: repeat(auto-fill, minmax(200px, 1fr));
    display: grid;
}

#footer .footer_link {
    margin-bottom: var(--offset-sm-l);
    font: var(--body-text-medium);
    text-decoration: underline;
    display: inline-block;
}

#footer .footer_link:last-of-type {
    margin-bottom: 0;
}

#footer .footer_link:hover {
    text-decoration: none;
}

#footer .footer_risk {
    margin-bottom: var(--offset-md-2xs);
    font: var(--caption-text);
}

#footer .copyright {
    color: var(--copyright-color);
    font: var(--caption-text);
    margin: 0;
}

@media (min-width: 768px) {
    #footer .contacts {
        grid-row-gap: var(--offset-md-2xs);
        grid-template-areas:
            "title title"
            "email social";
        display: grid;
    }

    #footer .contacts_title {
        grid-area: title;
        margin-bottom: 0;
    }

    #footer .contacts_email {
        grid-area: email;
        margin-bottom: 0;
    }

    #footer .contacts_social {
        grid-area: social;
        justify-self: flex-end;
        margin-bottom: 0;
    }

    .socials_link {
        margin-right: var(--offset-sm-l);
    }

    .socials_link:last-child {
        margin-right: 0;
    }

    #footer .footer_address {
        grid-area: address;
    }

    #footer .footer_navigations {
        margin-bottom: var(--offset-md-2xs);
        grid-template-columns: repeat(3, minmax(200px, 1fr));
    }
}

@media (min-width: 1024px) {
    #footer .container {
        grid-column-gap: var(--offset-sm-m);
        grid-template-columns: 634px 264px;
        grid-template-areas:
            "logo logo"
            "nav contacts"
            "nav contacts"
            "risk address"
            "risk copyright";
        justify-content: space-between;
        max-width: 1200px;
        display: grid;
    }

    #footer .logo_container {
        margin-bottom: var(--offset-lg-xs);
        grid-area: logo;
    }

    #footer .contacts {
        flex-flow: column;
        grid-area: contacts;
        grid-template-areas: none;
        display: flex;
    }

    #footer .footer_navigations {
        margin-bottom: var(--offset-lg-2xl);
        grid-column-gap: 85px;
        grid-area: nav;
        grid-template-columns: repeat(3, minmax(140px, 1fr));
    }

    #footer .footer_risk {
        grid-area: risk;
        margin-bottom: 0;
    }

    #footer .copyright {
        grid-area: copyright;
        align-self: end;
    }
}

@media (min-width: 1360px) {
    #footer {
        padding: var(--offset-lg-xs) 0;
    }

    #footer .container {
        grid-column-gap: 176px;
        grid-template-columns: 704px 236px;
    }

    #footer .footer_navigations {
        grid-column-gap: var(--offset-sm-xxl);
    }
}